petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatCompositeMerge

Given a composite matrix, replaces it with a "regular" matrix by summing or computing the product of all the matrices inside the composite matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeMerge(Mat mat)

Collective

### Input Parameters

mat -the composite matrix

### Options Database Keys

| -mat_composite_merge | - merge in MatAssemblyEnd()
| -mat_composite_merge_type | - set merge direction

### Notes

The MatType of the resulting matrix will be the same as the MatType of the FIRST matrix in the composite matrix.

### See Also

MatDestroy(), MatMult(), MatCompositeAddMat(), MatCreateComposite(), MatCompositeSetMatStructure(), MatCompositeSetMergeType(), MATCOMPOSITE

### Level

advanced

### Location

src/mat/impls/composite/mcomposite.c

### Examples

src/mat/examples/tutorials/ex9.c.html

### Implementations

MatCompositeMerge_Composite in src/mat/impls/composite/mcomposite.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages